function draw_tree( p, sizes )
% Modified treeplot to plot different sized nodes.
%
% David Duvenaud
% March 2011
% ==========

    if nargin < 2
        sizes = ones( length(p), 1 );
    end
    
    [x,y,h]=treelayout(p);
    f = find(p~=0);
    pp = p(f);
    X = [x(f); x(pp); NaN(size(f))];
    Y = [y(f); y(pp); NaN(size(f))];
    X = X(:);
    Y = Y(:);

    h1 = plot( X, Y, 'k-'); hold on;
    set(h1,'linewidth',2);
    for i = 1:length( x )
        col = 'ko';
        fc = [1 1 1];
        h = plot (x(i), y(i), col, 'linewidth',2, 'MarkerFaceColor', fc ); hold on;
        set(h,'markersize', sizes( i ) + 0.00001);
    end
    
    axis([0 1 0 1]);
    %set( gca, 'Visible', 'off' );
    axis off
end
